/*
 * Class BILINEAR [NATURAL_32]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_431 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_431 [] = {0xFF01,237,430,200,0xFFFF};
static const EIF_TYPE_INDEX egt_2_431 [] = {0xFF01,430,200,0xFFFF};
static const EIF_TYPE_INDEX egt_3_431 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_431 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_431 [] = {0xFF01,430,200,0xFFFF};
static const EIF_TYPE_INDEX egt_6_431 [] = {0xFF01,430,200,0xFFFF};
static const EIF_TYPE_INDEX egt_7_431 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_431 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_431 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_431 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_431 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_431 [] = {430,200,0xFFFF};
static const EIF_TYPE_INDEX egt_13_431 [] = {0xFF01,430,200,0xFFFF};
static const EIF_TYPE_INDEX egt_14_431 [] = {0xFF01,406,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_431 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_431 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_431 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_431[] = {
	{EIF_GENERIC(NULL), 2469, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_431), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_431), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_431), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_431), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_431), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_431), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_431), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_431), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_431), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_431), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_431), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_431), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_431), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_431), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2312, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1865, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1866, 0},
	{EIF_NON_GENERIC(0x017F /*191*/), 1867, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1868, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1869, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_431), 2323, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_431), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2313, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2468, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2315, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_431), 2316, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2317, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_431), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2467, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2319, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2320, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2321, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2322, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2314, 0xFFFFFFFF},
};
void Init431(void)
{
	IDSC(desc_431, 0, 430);
	IDSC(desc_431 + 1, 1, 430);
	IDSC(desc_431 + 32, 77, 430);
	IDSC(desc_431 + 41, 155, 430);
	IDSC(desc_431 + 50, 30, 430);
	IDSC(desc_431 + 57, 294, 430);
}


#ifdef __cplusplus
}
#endif
